@echo off

set THISHWIDA=043C
set THISHWIDB=043D
set THISHWIDC=043E

if exist check.exe goto VERCHK
@echo Invalid update program
goto END

:VERCHK
check /r=%THISHWIDA% /i=MID_K.dat /s=IAM /g=0025 /b=0017 /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto NEXT1
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:NEXT1
check /r=%THISHWIDB% /i=MID_U.dat /s=IAM /g=0025 /b=0017 /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto NEXT2
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:NEXT2
check /r=%THISHWIDC% /i=MID_N.dat /s=IAM /g=0025 /b=0017 /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto HWIDERR
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:UNKNOWN
:ERROR
@echo BIOS data Unmatched!!
goto END

:HWIDERR
@echo System Type Unmatched !!
goto END

:MIDERR
@echo Invalid BIOS data
goto END

:SAME
@echo BIOS update has already done.
@echo Please take out BIOS update media and reboot.
goto END

:DOWN
@echo This BIOS is NEW. Don't need BIOS update.
goto END

:FLASH
@echo Now reading BIOS update tool ...

keychk > nul
if errorlevel 2 goto KBDERR
if errorlevel 1 goto FLASHP

phlash16 /S /mode=0 bios.wph
goto END

:FLASHP
@echo.
@echo System will be rebooted automatically
@echo if BIOS update is successfully completed.
phlash16 /P /mode=0 bios.wph
goto END

:BBFLASH
@echo Now reading BIOS update tool(overwrite BootBlock) ...

keychk > nul
if errorlevel 2 goto KBDERR
if errorlevel 1 goto BBFLASHP

phlash16 /S /BBL /mode=0 bios.wph
goto END

:BBFLASHP
@echo.
@echo System will be rebooted automatically
@echo if BIOS update is successfully completed.
phlash16 /P /BBL /mode=0 bios.wph
goto END

:KBDERR
@echo keychk Error!
goto END

:END

